# Expire an item

`POST /memory/{id}/expire` · Rivier · memory

Expire an item.

- Scope: memory:write
- Graphql: Mutation.memoryItemExpire
- Sdk: memory.item.expire
- Cli: memory item expire

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "why": {
      "type": "string",
      "maxLength": 200
    }
  },
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/memory/{id}/expire' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "why": "string"
}'
```
